ServerEvents.recipes(event => {

    event.shapeless(
        Item.of('croptopia:butter', 1),
            [
                '#c:milks',
                'croptopia:salt'
            ])

    console.log('Custom recipe for Croptopia butter has been added!');
});